// define variables for the pin numbers
  int pinNr_GreenLED = 9;
  int pinNr_YellowLED = 10;
  int pinNr_RedLED = 11;
  
  char Command = "";

void setup() {
// put your setup code here, to run once:

  Serial.begin(9600);

// make the pins output
  pinMode(pinNr_RedLED, OUTPUT);
  pinMode(pinNr_YellowLED, OUTPUT);
  pinMode(pinNr_GreenLED, OUTPUT);
  

// we start with all the LEDs turned off
  digitalWrite(pinNr_RedLED, LOW);
  digitalWrite(pinNr_YellowLED, LOW);
  digitalWrite(pinNr_GreenLED, LOW);
  

}

void loop() {
// put your main code here, to run repeatedly:

if (Serial.available() > 0) {
  // read the incoming string:
    Command = Serial.read();
}


if (Command == 114) { // ASCII code for "r"
    digitalWrite(pinNr_RedLED, HIGH);
}

if (Command == 121) { // ASCII code for "y"
    digitalWrite(pinNr_YellowLED, HIGH);
}

if (Command == 103) { // ASCII code for "g"
    digitalWrite(pinNr_GreenLED, HIGH);
}


if (Command == 111) { // ASCII code for "o"
  // turn all the LEDs off
    digitalWrite(pinNr_RedLED, LOW);
    digitalWrite(pinNr_YellowLED, LOW);
    digitalWrite(pinNr_GreenLED, LOW);    
}


}
